import { Aff, AffWord } from './aff';
import * as Rx from 'rxjs/Rx';
export interface WordInfo {
    word: string;
    rules: string;
}
export interface HunspellSrcInfo {
    aff: Aff;
    dic: Rx.Observable<string>;
}
export declare class HunspellReader {
    readonly src: HunspellSrcInfo;
    readonly aff: Aff;
    constructor(src: HunspellSrcInfo);
    /**
     * @internal
     */
    readDicWords(): Rx.Observable<WordInfo>;
    readWordsRx(): Rx.Observable<AffWord>;
    /**
     * Reads all the word combinations out of a hunspell dictionary.
     */
    readWords(): Rx.Observable<string>;
    /**
     * Reads the words in the dictionary without applying the transformation rules.
     */
    readRootWords(): Rx.Observable<string>;
    /**
     * @internal
     */
    private static readDicEntries(aff, dicFile);
    static createFromFiles(affFile: string, dicFile: string): Promise<HunspellReader>;
}
export declare class HunspellSrcInfoWithGetDic implements HunspellSrcInfo {
    aff: Aff;
    readonly getDic: () => Rx.Observable<string>;
    constructor(aff: Aff, getDic: () => Rx.Observable<string>);
    readonly dic: Rx.Observable<string>;
}
